@import "_responsive";
@import "_colors";

:host {
  display: block;
}

.widget {
  cursor: pointer;
  border-radius: 16px;
  box-shadow: 10px 28px 80px rgba(71, 24, 70, 0.1);
  display: flex;

  @media (max-width: $big-screen) {
    font-size: 16px;
    box-shadow: none;
    background: transparent;
  }
  &.widget-sm {
    padding: 24px 16px;
    justify-content: flex-start;
    align-items: center;
    background: $def-white;
    transition: all 0.4s ease;

    &:hover {
      box-shadow: 10px 28px 80px rgba(100, 0, 97, 0.23);
    }

    @media (max-width: $big-screen) {
      height: unset;
      justify-content: center;
      flex-direction: column;
      padding: 12px 5px;
    }
    @media (max-width: $big-screen) {
      background: transparent;
    }
    h2 {
      font-weight: normal;
      margin-left: 16px;
      max-width: 110px;
      font-size: 24px;
      font-weight: bold;
      line-height: 1;
      color: $secondary;

      @media (max-width: $big-screen) {
        margin-left: unset;
        max-width: 90px;
        margin-top: 10px;
        margin-bottom: 0;
        font-size: 16px;
        text-align: center;
      }
    }
    .image-wrapper {
      border-radius: 50%;
      height: 48px;
      width: 48px;
      background-repeat: no-repeat !important;
      background-position: center center !important;
      background-size: contain !important;

      @media (max-width: $big-screen) {
        width: 56px;
        height: 56px;
      }
    }
  }
}
